diff --git a/isisd/isis_tlvs.c b/isisd/isis_tlvs.c
index b65b5babe283..6a9104e7b88a 100644
--- a/isisd/isis_tlvs.c
+++ b/isisd/isis_tlvs.c
@@ -2076,6 +2076,8 @@ static void isis_free_subsubtlvs(struct isis_subsubtlvs *subsubtlvs)
 	if (!subsubtlvs)
 		return;
 
+	free_subsubtlv_srv6_sid_structure(subsubtlvs->srv6_sid_structure);
+
 	XFREE(MTYPE_ISIS_SUBSUBTLV, subsubtlvs);
 }
 
